## org.apache.batik.apps.svgbrowser
Class NodePickerPanel.NodePickerEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.apps.svgbrowser.NodePickerPanel.NodePickerEvent

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  NodePickerPanel

    public static class NodePickerPanel.NodePickerEvent

extends java.util.EventObject

Event to pass to listener.

See Also:
  Serialized Form

Field Summary
`static int` `ADD_NEW_ELEMENT`
`static int` `EDIT_ELEMENT`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`NodePickerPanel.NodePickerEvent(java.lang.Object source, java.lang.String result, org.w3c.dom.Node contextNode, int type)` Creates the NodePickerEvent.

Method Summary
`org.w3c.dom.Node` `getContextNode()` Gets the context node.
`java.lang.String` `getResult()` Gets the NodePickerPanel result.
`int` `getType()` Gets the type of this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EDIT_ELEMENT

    public static final int EDIT_ELEMENT

See Also:
  Constant Field Values

### ADD_NEW_ELEMENT

    public static final int ADD_NEW_ELEMENT

See Also:
  Constant Field Values

Constructor Detail

### NodePickerPanel.NodePickerEvent

    public NodePickerPanel.NodePickerEvent(java.lang.Object source,
                                           java.lang.String result,
                                           org.w3c.dom.Node contextNode,
                                           int type)

  Creates the NodePickerEvent.

  Parameters:
    `source` - The NodePicker that initiated the event
    `result` - the NodePicker result
    `contextNode` - the associated context node

Method Detail

### getResult

    public java.lang.String getResult()

  Gets the NodePickerPanel result.

  Returns:
    the result

### getContextNode

    public org.w3c.dom.Node getContextNode()

  Gets the context node. 'EDIT_ELEMENT' event type - the context node is the original element being previewed. 'ADD_NEW_ELEMENT' event type - the context node is the parent node of the element being added

  Returns:
    the context node

### getType

    public int getType()

  Gets the type of this event.

  Returns:
    the type

Copyright © 2008 Apache Software Foundation. All Rights Reserved.